Page MenuHomePhabricator

go through all directories in /var/lib/mailman and decide if migration is needed
Closed, ResolvedPublic

Description

check each of the directories in /var/lib/mailman and decide whether we need to care about anything to import or not

archives
bin -> /usr/lib/mailman/bin
cgi-bin -> /usr/lib/cgi-bin/mailman
cron -> /usr/lib/mailman/cron
data
icons -> /usr/share/images/mailman
lists
locks -> /var/lock/mailman
logs -> /var/log/mailman
mail -> /usr/lib/mailman/mail
Mailman -> /usr/lib/mailman/Mailman
messages
qfiles
scripts -> /usr/lib/mailman/scripts
spam
templates -> /etc/mailman
templatesgarbage
templatesmoregarbage
tmp

Details

Related Gerrit Patches:
operations/puppet : productionmailman: mini script to rsync lists

Event Timeline

Dzahn created this task.Aug 18 2015, 1:22 AM
Dzahn claimed this task.
Dzahn raised the priority of this task from to High.
Dzahn updated the task description. (Show Details)
Dzahn added subscribers: ori, MZMcBride, Dzahn and 5 others.

archives; yes
bin; no
cgi-bin; no
cron; no
data; to my knowledge - not necessary. Just stored site password, list creator password and version. Ideally, all should be different (and lists need them to be changed after import)
icons; no
lists; yes
locks; no (symlink)
logs; no (symlink)
mail; not to my knowledge; [verify] (symlink)
Mailman; no
messages; no
qfiles; yes
scripts; no
spam; unsure, need to verify usage definitely.
templates; managed by puppet.
templates*; no reason for them to exist.
tmp; usage unknown. verify on sodium its usage.

data is not needed if we do things right. As in actually reset passwords and so on.

mail as a symlink is not needed.

spam should be checked before migration. I feel its what spamd might use to train its filters.

tmp is what it says - temp.

Dzahn added a comment.Aug 19 2015, 1:32 AM

"tmp" is not from mailman, it looks like people created it

it has stuff like "temp_backup_of_exim_logs-ask_jgreen", "make_sense_of_exim_log" and "exim4.conf.faidon-test"

Dzahn added a comment.Aug 19 2015, 1:39 AM

data - i think it's a good time to change the site and list creator passwords anyways, list admin passwords are not affected, they get copied with the list configs

archives and lists - covered by the import script, ack

qfiles - NOT covered so far, do we really want to rsync them?

spam - yea, individual .msg files here with mail that got marked as spam, probably won't care

data - eh, yea, this has also a bunch of .pck files starting in "heldmsg-" - really not sure yet how to handle these messages that are held and waiting for moderation

Below is my final compiled list of what should and shouldn't go.

archives; yes
bin; no
cgi-bin; no
cron; no
data; only heldmsg-*!
icons; no
lists; yes
locks; no
logs; no
mail; no
Mailman; no
messages; no
qfiles; yes
scripts; no
spam; no
templates; managed by puppet.
templates*; no
tmp; no
Dzahn closed this task as Resolved.Aug 21 2015, 7:24 PM

Change 233888 had a related patch set uploaded (by Dzahn):
mailman: mini script to rsync lists

https://gerrit.wikimedia.org/r/233888

Below is my final compiled list of what should and shouldn't go.

--> answer in script form: https://gerrit.wikimedia.org/r/#/c/233888/2/modules/mailman/files/scripts/rsync_lists.sh

Change 233888 merged by Dzahn:
mailman: mini script to rsync lists

https://gerrit.wikimedia.org/r/233888